# Abort Transaction

Abort a transaction.

Abort is possible only for a transaction that is in one of the following states:
   
   Waiting for approval
   Approved
   Finalized for signing
   

The aborting user must be one of the following:

The user who created the transaction
An admin
A legitimate approver


API users can abort only the transactions they created.

Endpoint: POST /api/v1/transactions/{id}/abort
Version: 0.2.0
Security: bearerAuth

## Path parameters:

  - `id` (string, required)
    ID of the transaction to abort.

## Response 400 fields (application/json):

  - `title` (string, required)
    Human-readable error message.

  - `detail` (string, required)
    Detailed error message.

  - `full_detail` (string)
    Full error message with additional details, if available.

  - `request_id` (string)
    Request ID - for debugging purposes.

  - `system_error_code` (string)
    An additional system error code in Fordefi.

  - `error_type` (string)
    Enum: "invalid_transaction_state", "non_managed_transaction", "transactions_already_aborted", "transaction_is_in_batch"

## Response 401 fields (application/json):

  - `title` (string, required)
    Human-readable error message.

  - `detail` (string, required)
    Detailed error message.

  - `full_detail` (string)
    Full error message with additional details, if available.

  - `request_id` (string)
    Request ID - for debugging purposes.

## Response 404 fields (application/json):

  - `title` (string, required)
    Human-readable error message.

  - `detail` (string, required)
    Detailed error message.

  - `full_detail` (string)
    Full error message with additional details, if available.

  - `request_id` (string)
    Request ID - for debugging purposes.

  - `resource` (string)
    The type of resource.
    Enum: "user", "user_change_proposals", "user_group", "user_group_change_proposal", "vault", "vault_address", "vault_group", "address_group", "transaction", "batch_transaction", "path", "keyset", "auth_token", "access_token", "asset", "asset_info", "vault_derivation_path", "blockchain", "export", "quote", "import_keys_request", "vault_address_account", "exchange_asset_mapping", "dapp_group", "safe_address", "audit_log"

## Response 422 fields (application/json):

  - `title` (string, required)
    Human-readable error message.

  - `detail` (array, required)

  - `detail.loc` (array, required)

  - `detail.msg` (string, required)

  - `detail.type` (string, required)

  - `full_detail` (string)
    Full error message with additional details, if available.

  - `request_id` (string)
    Request ID - for debugging purposes.


## Response 204 fields
